kind: pipeline
type: docker
name: sthope

clone:
  disable: true

steps:
- name: testing-jekyll
  pull: always
  image: jekyll/jekyll:latest
  commands:
  - touch Gemfile.lock
  - chmod a+w Gemfile.lock
  - chown -R jekyll:jekyll /drone
  - gem update --system
  - gem install bundler
  - bundle install
  - bundle exec jekyll build

- name: discord
  pull: always
  image: appleboy/drone-discord
  avatar_url: "https://git.sthope.dev/sthope/drone_test/raw/branch/master/rick.png"
  environment:
    DISCORD_WEBHOOK_ID:
      from_secret: discord_webhook_id
    DISCORD_WEBHOOK_TOKEN:
      from_secret: discord_webhook_token
  settings:
    message: >
      {{#success build.status}}
      ✅ Build #{{build.number}} of `{{repo.name}}` succeeded.
       
      📝 Commit by {{commit.author}} on `{{commit.branch}}`:
      ```
      {{commit.message}}
      ```
      🌐 <{{ build.link }}>
      {{else}}
      ❌ Build #{{build.number}} of `{{repo.name}}` failed.
      📝 Commit by {{commit.author}} on `{{commit.branch}}`:
      ```
      {{commit.message}}
      ```
      🌐 <{{ build.link }}>
      {{/success}}   





  # when:
  #   event:
  #   - push
  #   - tag
  #   - pull_request
  #   - deployment
  #   status:
  #   - changed
  #   - failure
  #   - success


